package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BusDmcgyq;
import java.util.List;
/**
* 基础数据-地面磁感应器
* @author zcf
* @date 2021/10/26
*/
public interface IBusDmcgyqService{

    /**
    * 新增
    */
    int create(BusDmcgyq busDmcgyq);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusDmcgyq busDmcgyq);

    /**
    * 获取单个
    */
    BusDmcgyq getInfo(String id);

    /**
    * 查询列表
    */
    List<BusDmcgyq> getList(BusDmcgyq busDmcgyq);

}
